---
title: Spracovanie prirodzeného jazyka
published: true
taxonomy:
    category: [project]
    tag: [nlp]
    author: Daniel Hladek
---

# Spracovanie prirodzeného jazyka

Odporúčané témy:

- [identifikácia pomenovaných entít](./named-entity) (named entity recognition)
- [dialógové systémy](./chatbot) (chatbot)
- strojový preklad (machine translation)
- oprava preklepov (spelling error correction, diacritics restoration)
- získavanie informácií (vyhľadávanie v texte)
- identifikácia viacslovných výrazov (chunking)
- anotácia textových dát

## Knihy

- [Krátky úvod do NLP](./mrakt) (prezentácia z predmetu Moderné rečové a komunikačné technológie 2019)
- Lane, Howard, Hopke: Natural language processing  in action
- [Spacy Tutoriál](https://nlpforhackers.io/complete-guide-to-spacy/)
- [Dive into Python](https://diveintopython3.problemsolving.io/)  [(česky)](http://diveintopython3.py.cz/index.html)
- [Natural Language Processing in Action](https://www.manning.com/books/natural-language-processing-in-action) [(git)](https://github.com/totalgood/nlpia)
- [Python Data Science Handbook](https://github.com/jakevdp/PythonDataScienceHandbook)
- [Speech and Language Processing 2rd edition](https://github.com/rain1024/slp2-pdf)
- [Speech and Language Processing 3rd edition](https://web.stanford.edu/~jurafsky/slp3/)


## Odporúčané nástroje

- Prostredie [Anaconda](https://www.anaconda.com/distribution/)
- Chatbot [RASA](https://rasa.com/)
- Knižnica [Spacy](https://spacy.io/)
- Anotácie [Prodigy](https://prodi.gy/)
- Získavanie informácií [Elasticsearch](https://www.elastic.co/products/elasticsearch)
- seq2seq Neurónové siete [Fairseq](https://github.com/pytorch/fairseq)
- webové aplikácie a REST [Flask](https://www.fullstackpython.com/flask.html)
- [Flair](https://github.com/zalandoresearch/flair)
- [Spacy](https://spacy.io/)
- [GloVe](https://nlp.stanford.edu/projects/glove/) word embedding
- [FastText](https://fasttext.cc/) word embedding
- [GenSim](https://radimrehurek.com/gensim/) (topic modelling)


Postup: 

- Nainštaluj si Anacondu
- Prečítaj si materiály
- Vyber si zaujímavú úlohu a nástroj
- Vyskúšaj nástroj
- Napíš správu o riešení úlohy



